Simpler Navigation coming for Servers and Operating Systems
Coming soon: a much simpler Servers and Operating Systems section of the Community. We will combine many of the older boards, and you won't have to click through so many levels to get at the information you need. If you are looking for an older board and do not find it, check the consolidated boards, as the posts are still there.
cancel
Showing results for 
Search instead for 
Did you mean: 

Two versions of Apache

serguey kavafian
Occasional Advisor

Two versions of Apache

Hi,
We have L2000 HP-UX 11.00 with Oracle HTTP based Apache server 1.3.14 with Oracle 8.1.7 database and separate installation of Tomcat (port 8080).
We install current vision of Apache as part of the Oracle Database Installation on the database home directory (port 7777). We clone port 80 creating directory tree (bin, conf, log and etc.).
Now we need to install mySQL with PHP4 support. I was advised to install a separate version of Apache 1.3.19 or above (v1.3.26 was suggested). Is it possible? How to do it? Please advise.
Thank you,
Serguey
4 REPLIES
Christopher Caldwell
Honored Contributor

Re: Two versions of Apache

You can install as many versions (or copies) of Apache as you need.

You'll have to mess with the directory configs each time you build Apache (or I believe you can reference configs on the command line).

You put each different version (or copy) in a directory

e.g.
/opt/apache_install1
/opt/apache_install2
/opt/apache_install3

The only caveat is that the different Apaches (or any other web servers) can't bind to the same port/IP combination.

serguey kavafian
Occasional Advisor

Re: Two versions of Apache

Thank you. So for example in case of downloading Apache v.1.3.19 from HP website and using swinstall. Will it preserve existing installation without any changes?
Christopher Caldwell
Honored Contributor

Re: Two versions of Apache

HP's v2 Apache installs in /opt/hpapache2/

I'm not sure where 1.3.19 goes, though be advised that 1.3.26 is current and there are security issues with earlier versions.
serguey kavafian
Occasional Advisor

Re: Two versions of Apache

I'm installing right now v.1.3.26 from Apache website.

Thanks,
Serguey